Loading...
Searching...
No Matches
RDKit::BadFileException Class Reference

used by various file parsing classes to indicate a bad file More...

`#include <BadFileException.h>`

Inheritance diagram for RDKit::BadFileException:

## Public Member Functions

| BadFileException (const char *msg)
| construct with an error message
| BadFileException (std::string msg)
| construct with an error message
const char * | what () const noexcept override
| get the error message
| ~BadFileException () noexcept override=default

## Detailed Description

used by various file parsing classes to indicate a bad file

Definition at line 22 of file BadFileException.h.

## Constructor & Destructor Documentation

## BadFileException() [1/2]

RDKit::BadFileException::BadFileException | ( | const char * | msg | ) |

inline explicit

construct with an error message

Definition at line 25 of file BadFileException.h.

## BadFileException() [2/2]

RDKit::BadFileException::BadFileException | ( | std::string | msg | ) |

inline explicit

construct with an error message

Definition at line 28 of file BadFileException.h.

## ~BadFileException()

RDKit::BadFileException::~BadFileException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::BadFileException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 31 of file BadFileException.h.

The documentation for this class was generated from the following file:

- BadFileException.h